# Reference: <https://postmarketos.org/devicepkg>
pkgname=device-asus-tf101
pkgdesc="Asus Eee Pad Transformer"
pkgver=0.2
pkgrel=14
url="https://postmarketos.org"
license="MIT"
arch="armv7"
options="!check !archcheck"
depends="postmarketos-base u-boot-tf101 linux-asus-tf101 mkbootimg mesa-dri-swrast blobtools linux-firmware-brcm linux-firmware-cypress"
makedepends="devicepkg-dev"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware"
source="
	deviceinfo
	modules-load.conf
	"

build() {
	devicepkg_build $startdir $pkgname
}

nonfree_firmware() {
	pkgdesc="Wifi and Bluetooth firmware"
	depends="firmware-asus-transformer"
	mkdir -p "$subpkgdir"
}

package() {
	devicepkg_package $startdir $pkgname
	install -Dm644 "$srcdir"/modules-load.conf \
		"$pkgdir"/etc/modules-load.d/00-$pkgname.conf
}

sha512sums="a6c155783ecd49125d89d6779220b2b2b92b9a976d86a57ad63002394ee6038acae5db26125fc25a31276fc08c4ceda12b4d72fb716125a1f2e8a45b86ab3d06  deviceinfo
49645401e265f49cb942ef899f6ad80eb52c5b94c9eca5c311dcc3d64e0da49fa905674f3e5dc228fd2c4f3162f0c76b2a6fbab9a531031c2b21b27c57ce3ba2  modules-load.conf"
